---
dependency:
  name: galaxy
driver:
  name: docker
lint: |
    set -e
    yamllint -c molecule/yaml-lint.yml .
    ansible-lint -c molecule/default/ansible-lint.yml tasks
platforms:
  - name: el7
    image: geerlingguy/docker-centos7-ansible:latest
    command: ""
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    privileged: true
    pre_build_image: true
  - name: el8
    image: geerlingguy/docker-centos8-ansible:latest
    command: ""
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    privileged: true
    pre_build_image: true
  - name: debian10
    image: registry.ethz.ch/ansible-community/images/docker-debian10-ansible:latest
    command: ""
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    privileged: true
    pre_build_image: true
  - name: ubuntu2004
    image: geerlingguy/docker-ubuntu2004-ansible:latest
    command: ""
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    privileged: true
    pre_build_image: true
provisioner:
  name: ansible
  playbooks:
    prepare: ../prepare.yml
verifier:
  name: ansible
